%define upstream_name    Apache-LogFormat-Compiler
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compile a log format string to perl-code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Try::Tiny) >= 0.120.0
BuildRequires: perl(URI::Escape) >= 1.600.0
BuildArch:  noarch

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 528777
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.130.0-1.mga4
+ Revision: 447220
- adding missing buildrequires:
- imported package perl-Apache-LogFormat-Compiler


* Wed Jun 26 2013 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
